Create a customer
curl --request POST \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"attributes": {},
"cohort": {
"club_ids": [
"<string>"
],
"country_id": "<string>",
"metadata": {}
},
"first_name": "<string>",
"last_name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
attributes: {},
cohort: {club_ids: ['<string>'], country_id: '<string>', metadata: {}},
first_name: '<string>',
last_name: '<string>'
})
};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/customers"
payload = {
"email": "<string>",
"attributes": {},
"cohort": {
"club_ids": ["<string>"],
"country_id": "<string>",
"metadata": {}
},
"first_name": "<string>",
"last_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"auth_provider": "<string>",
"auth_provider_id": "<string>",
"email": "<string>",
"id": "<string>",
"status": "<string>",
"username": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"internal_wallets": [
{
"address": "<string>",
"id": "<string>",
"user_id": "<string>",
"wallet_kind": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"last_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": {
"auth_provider": "<string>",
"auth_provider_id": "<string>",
"email": "<string>",
"id": "<string>",
"status": "<string>",
"username": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"internal_wallets": [
{
"address": "<string>",
"id": "<string>",
"user_id": "<string>",
"wallet_kind": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"last_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Customers
Create a customer
Creates a customer record under your tenant through the Portal API.
See the Gateway API entry for the full description.
POST
/
tenant
/
{tenantId}
/
customers
Create a customer
curl --request POST \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"attributes": {},
"cohort": {
"club_ids": [
"<string>"
],
"country_id": "<string>",
"metadata": {}
},
"first_name": "<string>",
"last_name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
attributes: {},
cohort: {club_ids: ['<string>'], country_id: '<string>', metadata: {}},
first_name: '<string>',
last_name: '<string>'
})
};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/customers"
payload = {
"email": "<string>",
"attributes": {},
"cohort": {
"club_ids": ["<string>"],
"country_id": "<string>",
"metadata": {}
},
"first_name": "<string>",
"last_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"auth_provider": "<string>",
"auth_provider_id": "<string>",
"email": "<string>",
"id": "<string>",
"status": "<string>",
"username": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"internal_wallets": [
{
"address": "<string>",
"id": "<string>",
"user_id": "<string>",
"wallet_kind": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"last_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": {
"auth_provider": "<string>",
"auth_provider_id": "<string>",
"email": "<string>",
"id": "<string>",
"status": "<string>",
"username": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"internal_wallets": [
{
"address": "<string>",
"id": "<string>",
"user_id": "<string>",
"wallet_kind": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"last_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Authorizations
Auth0 access token
Path Parameters
Body
application/json
Optional initial attribute values, keyed by definition id. Mirrors the PUT attributes body.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Optional human first name. Captured on the tenant Add User form.
Optional human last name. Captured on the tenant Add User form.
⌘I

